# Panther

This project was created using the [Nuxt Starter Template](https://github.com/nuxt-community/starter-template), which has now been deprecated in favour of [create-nuxt-app](https://github.com/nuxt/create-nuxt-app).

## Build Setup

See: https://nuxtjs.org/guide/commands/

``` bash
# Install dependencies
npm install

# Development mode
# Launch the development server on localhost with hot-reloading
npm start
# or
npm run dev

# Production mode
# Build for production, minify the JavaScript and CSS, and launch the server in production mode
# (you probably won't use this often because we always deploy Panther as a static site)
npm run prod

# Analyze the production Webpack bundle
npm run analyze

# Generate static project
# Build the application and generate every route as an HTML file (used for static hosting)
npm run generate

# Deploy static project via Surge
# (Surge must be installed globally first)
npm install --global surge
npm run deploy
```

For detailed explanation on how Nuxt works, checkout the [Nuxt.js docs](https://github.com/nuxt/nuxt.js).

## Troubleshooting

If Node hangs for some reason, you may have to locate and kill the Node process (see [this StackOverflow answer](https://stackoverflow.com/questions/3855127/find-and-kill-process-locking-port-3000-on-mac#answer-18706913)):

``` bash
# Assuming you're using port 3333
lsof -i :3333
kill -9 <PID>
```
